> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartmove.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Check template entry

> Set a checklist template entry checkmark of a vehicle to true



## OpenAPI

````yaml /api-reference/m2m-api.yml put /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/checklist/template/{templateEntryId}/check
openapi: 3.0.3
info:
  title: M2M API
  version: '@version@'
servers:
  - url: https://api.smartmove.eu/m2m
security: []
tags:
  - name: Vehicles
  - name: Maintenance
  - name: Logbook
  - name: Drivers
  - name: Users
  - name: Checklist
  - name: Incidents
  - name: Databox
  - name: Assets
  - name: Asset Provider
  - name: Invoices
paths:
  /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/checklist/template/{templateEntryId}/check:
    put:
      tags:
        - Checklist
      summary: Check template entry
      description: Set a checklist template entry checkmark of a vehicle to true
      operationId: checkTemplateEntry
      parameters:
        - name: assetProviderCountryCode
          in: path
          description: Asset provider country code
          required: true
          schema:
            type: string
            minLength: 2
            maxLength: 2
        - name: assetProviderCode
          in: path
          description: Asset provider code
          required: true
          schema:
            type: string
            minLength: 3
            maxLength: 3
        - name: vehicleId
          in: path
          description: Id of vehicle
          required: true
          schema:
            type: string
        - name: templateEntryId
          in: path
          description: Id of template entry
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Checked template entry
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChecklistTemplateEntryResponse'
        '401':
          description: Required and valid bearer token was not included
        '403':
          description: Access to the requested asset provider has been rejected
        '404':
          description: Could not find the vehicle or template entry
      security:
        - oauth:
            - openid
components:
  schemas:
    ChecklistTemplateEntryResponse:
      type: object
      required:
        - templateEntryId
        - vehicleId
        - title
        - checkmark
      properties:
        templateEntryId:
          type: integer
          description: First part of composite key
        vehicleId:
          type: integer
          description: Second part of composite key
        title:
          type: string
          description: Title of template entry
        note:
          type: string
          description: Content of template entry
        checkmark:
          type: boolean
          description: Indicator of template entry inspection status
        checkDate:
          type: string
          format: date-time
          description: Most recent timestamp of checkmark checking action
          example: '2025-10-07T10:24:41.143Z'
        uncheckDate:
          type: string
          format: date-time
          description: Most recent timestamp of checkmark unchecking action
          example: '2025-10-07T10:24:41.143Z'
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid
        authorizationCode:
          authorizationUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/auth
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid

````